---
layout: default
permalink: /about/
title: "What's this about?"
---

GitHub wants to help developers choose an open source license for their source code.

If you already know what you're doing and have a license you prefer to use, that's great! We're not here to change your mind. But if you are bewildered by the large number of open source license choices, maybe we can help.

## Not comprehensive

This site is not a comprehensive directory of open source licenses. On the [homepage](/), we break it down into just two licenses. The vast majority of projects will likely be fine choosing from one of these two. Just in case you have specific needs not covered by those two, we also highlight a [few other licenses to consider](/licenses/), and have a page about [licenses for non-software projects](/non-software/).

See our [appendix](/appendix/) for a table of all of the licenses cataloged in the choosealicense.com repository and the links below for *even more licenses* that you **do not** need to learn about when choosing a license for your project.

### Additional resources

{: .bullets}

* Open Source Initiative's FAQ on [Which Open Source license should I choose to release my software under?](https://opensource.org/faq#which-license)
* Free Software Foundation's [advice on how to choose a license](https://www.gnu.org/licenses/license-recommendations.html)
* [Joinup Licensing Assistant](https://joinup.ec.europa.eu/collection/eupl/joinup-licensing-assistant-jla), an interactive license chooser from the European Commission
* [The Legal Side of Open Source](https://opensource.guide/legal/), an Open Source Guide covering licensing and related issues

## Help us improve it

Choosealicense.com isn't just about open source, the site itself is open source as well. See something you think could be done better? Feel free to [fork the project](https://github.com/github/choosealicense.com) on GitHub and submit a pull request. We'd welcome your improvements.

## Disclaimer

We are not lawyers. Well, most of us anyway. It is not the goal of this site to provide legal advice. The goal of this site is to provide a starting point to help you make an informed choice by providing information on popular open source licenses. If you have any questions regarding the right license for your code or any other legal issues relating to it, it's up to you to do further research or consult with a professional.
